camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matt Sicker <boa...@gmail.com>
Subject Cannot install camel-swagger through Karaf
Date Fri, 13 Nov 2015 17:17:28 GMT
I'm not sure where to report this bug: Karaf or Camel. When I add the Camel
repository and use "feature:install camel-swagger", I get the following
error:

Error executing command: Can't install feature camel-swagger/0.0.0:
Could not start bundle
mvn:com.fasterxml.jackson.module/jackson-module-scala_2.10/2.6.1 in
feature(s) camel-swagger-2.17-SNAPSHOT: Unresolved constraint in bundle
com.fasterxml.jackson.module.jackson.module.scala [99]: Unable to resolve
99.0: missing requirement [99.0] osgi.wiring.package;
(&(osgi.wiring.package=com.fasterxml.jackson.module.paranamer)(version>=2.6.0)(!(version>=3.0.0)))

I was able to fix this by manually installing the following bundles:
mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.javax-inject/1_2
wrap:mvn:com.thoughtworks.paranamer/paranamer/2.6
mvn:com.fasterxml.jackson.module/jackson-module-paranamer/2.6.1

These seem to be missing dependencies from the camel feature file.

-- 
Matt Sicker <boards@gmail.com>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message